Bug 1767840 - ceph RadosGW should use the role "member" instead of "Member"
Summary: ceph RadosGW should use the role "member" instead of "Member"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 15.0 (Stein)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: z2
: 15.0 (Stein)
Assignee: Giulio Fidente
QA Contact: Yogev Rabl
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-01 14:00 UTC by Giulio Fidente
Modified: 2020-03-05 12:00 UTC (History)
7 users (show)

Fixed In Version: openstack-tripleo-heat-templates-10.6.2-0.20191113030444.fc5ca30.el8ost.noarch.rpm
Doc Type: Bug Fix
Doc Text:
Previously, changing the default membership role from `Member` to `member` caused ceph-rgw to deny access to standard users because keystone roles are case insensitive, but ceph-rgw role matching is case sensitive. As a result, users with the `member` role could not access ceph-rgw. With this update, ceph-rgw accepts users with both `Member` and `member` roles.
Clone Of: 1767593
Environment:
Last Closed: 2020-03-05 12:00:28 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1847539 0 None None None 2019-11-01 14:00:46 UTC
OpenStack gerrit 688651 0 'None' MERGED Permit access to Ceph RGW for 'member' role 2020-02-20 10:42:37 UTC
Red Hat Product Errata RHBA-2020:0643 0 None None None 2020-03-05 12:00:59 UTC

Comment 6 Yogev Rabl 2019-12-18 17:34:00 UTC
Verified

Comment 7 Alex McLeod 2020-02-19 12:44:23 UTC
If this bug requires doc text for errata release, please set the 'Doc Type' and provide draft text according to the template in the 'Doc Text' field. The documentation team will review, edit, and approve the text.

If this bug does not require doc text, please set the 'requires_doc_text' flag to '-'.

Comment 9 errata-xmlrpc 2020-03-05 12:00:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0643


Note You need to log in before you can comment on or make changes to this bug.